> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Resend user activation email

POST https://iot.telia.lt/api/v1/user/activation_resend
Content-Type: application/json

Re-sends activation mail to the user.

As this endpoint is open to the public (no authentication token necessary), it requires instead the google reCAPTCHA token to ensure that no robot is performing the request.
Moreover, there's a time limit on how often a given user may be issued with a new activation mail.

According to the [reCAPTCHA documentation](https://developers.google.com/recaptcha/docs/display) a "Site Key" is necessary.
If you want to implement this feature in your client, please contact Telia support to obtain this "Site Key" for your domain.

Reference: https://docs.iot.telia.lt/developers/api/password-management-and-activation/user-activation-resend-post

## Request

### Body (application/json)

This endpoint expects an object.

- `username` (string, required)
- `g-recaptcha-response` (string, required) — Auto-generated from a form using Google reCAPTCHA.

## Response

### 204

The server has successfully fulfilled the request and that there is no additional content to send in the response payload body

## Examples

**Request**

```json
{
  "username": "user@domain.com",
  "g-recaptcha-response": "03AHJ_VutFSI0qC6ycL3 ..."
}
```

**SDK Code**

```python
import requests

url = "https://iot.telia.lt/api/v1/user/activation_resend"

payload = {
    "username": "user@domain.com",
    "g-recaptcha-response": "03AHJ_VutFSI0qC6ycL3 ..."
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://iot.telia.lt/api/v1/user/activation_resend';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"username":"user@domain.com","g-recaptcha-response":"03AHJ_VutFSI0qC6ycL3 ..."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/user/activation_resend"

	payload := strings.NewReader("{\n  \"username\": \"user@domain.com\",\n  \"g-recaptcha-response\": \"03AHJ_VutFSI0qC6ycL3 ...\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/user/activation_resend")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"username\": \"user@domain.com\",\n  \"g-recaptcha-response\": \"03AHJ_VutFSI0qC6ycL3 ...\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://iot.telia.lt/api/v1/user/activation_resend")
  .header("Content-Type", "application/json")
  .body("{\n  \"username\": \"user@domain.com\",\n  \"g-recaptcha-response\": \"03AHJ_VutFSI0qC6ycL3 ...\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://iot.telia.lt/api/v1/user/activation_resend', [
  'body' => '{
  "username": "user@domain.com",
  "g-recaptcha-response": "03AHJ_VutFSI0qC6ycL3 ..."
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/user/activation_resend");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"username\": \"user@domain.com\",\n  \"g-recaptcha-response\": \"03AHJ_VutFSI0qC6ycL3 ...\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "username": "user@domain.com",
  "g-recaptcha-response": "03AHJ_VutFSI0qC6ycL3 ..."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/user/activation_resend")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```